MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023745Open CASCADE[OCCT] OCCT:DRAWpublic2013-02-07 14:292014-11-11 13:02
Reporterapl 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023745: Draw Harness, ViewerText - vdrawtext command should not modify global text aspect
DescriptionDRAWEXE: if vdrawtext called prior to vtrhiedron, then the trihedron's text labels get the color specified for the text.
Steps To ReproduceScenario for DRAWEXE:

pload ALL
vinit
vdrawtext "ANOTHERBUG" 100 100 100 255 0 0 0 0 0 1 50 0
vtrihedron trihedron
TagsNo tags attached.
Test case numberdemo draw(002) bug23745
Attached Filespng file icon red_text_trihedron.png (25,431 bytes) 2013-02-07 14:29

- Relationships

-  Notes
(0032338)
git (administrator)
2014-09-29 22:54

Branch CR23745 has been created by kgv.

SHA-1: 1851f74254b383bd7b7de9a546bf74d9841d1139


Detailed log of new commits:

Author: kgv
Date: Mon Sep 29 22:53:51 2014 +0300

    0023745: Draw Harness, ViewerText - vdrawtext command should not modify global text aspect
(0032339)
kgv (developer)
2014-09-29 22:54

Trivial patch is ready for review in branch CR23745.
(0032497)
san (developer)
2014-10-01 12:34

Branch CR23745 reviewed without remarks, ready for testing.
(0032548)
mkv (tester)
2014-10-02 09:42

Dear BugMaster,
Branch CR23745 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1851f74254b383bd7b7de9a546bf74d9841d1139

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR23745-master-occt/Debian60-64/demo/draw/bug23745.html [^]
http://occt-tests/CR23745-master-occt/Windows-32-VC10/demo/draw/bug23745.html [^]
demo draw(002) bug23745: OK

Testing on Linux:
occt component :
Total MEMORY difference: 397108712 / 397669948
Total CPU difference: 49279.300000000134 / 46596.14000000006
products component :
Total MEMORY difference: 121286600 / 121895028
Total CPU difference: 15818.65999999998 / 14587.819999999952

Testing on Windows:
occt component :
Total MEMORY difference: 279490508 / 279236240
Total CPU difference: 34052.890625 / 39387.8125
products component :
Total MEMORY difference: 71031232 / 67329420
Total CPU difference: 10960.15625 / 11318.515625

There are no differences in images found by testdiff.
(0032549)
git (administrator)
2014-10-02 09:43

Branch CR23745 has been updated by mkv.

SHA-1: 2d3b8f04a330e8934a0db7d8cb190fade6496935


Detailed log of new commits:

Author: mkv
Date: Thu Oct 2 09:42:24 2014 +0400

    Test case for issue CR23745

(0033450)
git (administrator)
2014-10-21 16:43

Branch CR23745 has been deleted by inv.

SHA-1: 2d3b8f04a330e8934a0db7d8cb190fade6496935

- Related Changesets
occt: master fe551aef
Timestamp: 2014-10-02 10:23:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0023745: Draw Harness, ViewerText - vdrawtext command should not modify global text aspect

Test case for issue CR23745
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
add - tests/demo/begin Diff ] File ]
add - tests/demo/draw/bug23745 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-07 14:29 apl New Issue
2013-02-07 14:29 apl Assigned To => san
2013-02-07 14:29 apl File Added: red_text_trihedron.png
2013-02-07 14:30 apl Description Updated View Revisions
2014-02-17 16:14 kgv Priority normal => low
2014-02-17 16:14 kgv Target Version => 7.0.0
2014-09-29 22:53 kgv Category OCCT:Visualization => OCCT:DRAW
2014-09-29 22:53 kgv Target Version 7.0.0 => 6.8.0
2014-09-29 22:53 kgv Summary AIS_Trihedron label color lost after vdrawtext command => Draw Harness, ViewerText - vdrawtext command modifies global text aspect
2014-09-29 22:53 kgv Summary Draw Harness, ViewerText - vdrawtext command modifies global text aspect => Draw Harness, ViewerText - vdrawtext command should not modify global text aspect
2014-09-29 22:54 git Note Added: 0032338
2014-09-29 22:54 kgv Note Added: 0032339
2014-09-29 22:54 kgv Status new => resolved
2014-10-01 12:34 san Note Added: 0032497
2014-10-01 12:34 san Assigned To san => bugmaster
2014-10-01 12:34 san Status resolved => reviewed
2014-10-01 13:12 mkv Assigned To bugmaster => mkv
2014-10-02 09:42 mkv Note Added: 0032548
2014-10-02 09:42 mkv Assigned To mkv => bugmaster
2014-10-02 09:42 mkv Status reviewed => tested
2014-10-02 09:43 mkv Test case number => demo draw(002) bug23745
2014-10-02 09:43 git Note Added: 0032549
2014-10-03 14:07 bugmaster Changeset attached => occt master fe551aef
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:43 git Note Added: 0033450
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker